OVH Community, votre nouvel espace communautaire.

SYS-E32-3 - upgrade esxi 5.5 failed


nekkro-kvlt
02/04/2015, 20h24
J'ai suivi ce tuto et ça a fonctionné niquel:
http://digiex.net/guides-reviews/gui...start-ovh.html

Ca resume en gros ce qui a été dit au dessus

bertrand_034
27/03/2015, 08h59
Bonjour,

je suis à la recherche d'informations sur une migration de 5.1 vers 5.5 U2 et je trouve toujours avec des cartes Nic Intel hors j'ai une carte r8168 comme vous. Après plusieurs heures de recherche et de test sur une VMs sur mon ordi perso, j'ai compris l'ensemble de la procédure, juste de trouver les bons .VIB de la bonne carte.

Pouvez-vous me faire un retour de votre expérience si cela fonctionne bien finalement ou pas ? Car je dois réaliser cette update sur un serveur en production donc pas trop droit a l'erreur même si en secours il y a le KVM mais a 30€ jours ...

merci

youl
08/02/2014, 15h11
Bon j'ai fini par trouver...
C'est le driver réseau qui n'était pas le même par rapport au how to..
Dans mes recherches j'ai lu que VMWare dit qu'une upgrade en esxcli de 5.0 a 5.5 ce n'est pas possible, alors passage par la 5.1 je n'ai pas cherché à faire autrement... déjà que c'est rébarbatif..

On commence :

~ # esxcli software profile install -d http://hostupdate.vmware.com/softwar...epot-index.xml -p ESXi-5.1.0-799733-standard --ok-to-remove
Ca donne une error vib-locker... encore !!
On insiste,
~ # esxcli software profile install -d http://hostupdate.vmware.com/softwar...epot-index.xml -p ESXi-5.1.0-799733-standard --ok-to-remove
Support community
~ # esxcli software acceptance set --level=CommunitySupported
On redémarre
~ # reboot
ca boot ! Cool !
~ # uname -a
VMkernel ns3368554.ip-37-187-89.eu 5.1.0 #1 SMP Release build-799733 Aug 1 2012 20:03:00 x86_64 GNU/Linux
On enchaine sur l'upgrade 5.1 to 5.5

Vérification du driver réseau ! Sinon perte de connexion définitive...

~ # esxcli network nic get -n vmnic0
Advertised Auto Negotiation: true
Advertised Link Modes: 10baseT/Half, 10baseT/Full, 100baseT/Half, 100baseT/Full, 1000baseT/Full
Auto Negotiation: true
Cable Type: Twisted Pair
Current Message Level: 51
Driver Info:
Bus Info: 0000:03:00.0
Driver: r8168
Firmware Version:
Version: 8.013.00-NAPI
Link Detected: true
Link Status: Up
Name: vmnic0
PHYAddress: 0
Pause Autonegotiate: false
Pause RX: false
Pause TX: false
Supported Ports: TP
Supports Auto Negotiation: true
Supports Pause: false
Supports Wakeon: true
Transceiver: internal
Wakeon: MagicPacket(tm)
~ # esxcli network nic list
Name PCI Device Driver Link Speed Duplex MAC Address MTU Description
------ ------------- ------ ---- ----- ------ ----------------- ---- -------------------------------------
vmnic0 0000:003:00.0 r8168 Up 1000 Full 08:xxxxxx 1500 Realtek Realtek 8168 Gigabit Ethernet
On installe la 5.5

~ # esxcli software profile install -d http://hostupdate.vmware.com/softwar...epot-index.xml -p ESXi-5.5.0-1331820-standard --ok-to-remove

Installation Result
Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.
Reboot Required: true
VIBs Installed: VMware_bootbank_ata-pata-amd_0.3.10-3vmw.550.0.0.1331820, ...
VIBs Skipped:
Support...

~ # esxcli software acceptance set --level=CommunitySupported
Host acceptance level changed to 'CommunitySupported'.
On install le NIC driver (ouf le vib existe tout fait !)
~ # esxcli software vib install -v http://www.bussink.ch/files/VMware_b...0.0.799733.vib

Installation Result
Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.
Reboot Required: true
VIBs Installed: VMware_bootbank_net-r8168_8.013.00-3vmw.510.0.0.799733
VIBs Removed:
VIBs Skipped:
(mirror : http://www.bussink.ch/files/VMware_b...0.0.799733.vib)
On redémarre.
~ # reboot
Magie l'upgrade 5.5 is done !

Reste plus qu'a tester ce que ca donne !

Espérant que ca vous soit utile..
@+

youl
08/02/2014, 12h12
Bonjour,
J'ai réceptionné un serveur SYS-E32-3 sur lequel je voulais installer Esxi 5.5.
Dans les distributions actuelles, il n'y a que Esxi 5.0 update 1.
J'ai donc essayé par 3 fois une upgrade manuel via SSH en suivant ce how to :
http://blog.fite.cat/2014/01/soyoust...5-5-serie-sys/

Mais ca ne fonctionne pas.

Dans le détail,
J'installe via le manager l'esxi 5.0 update 1, puis je me connecte en ssh pour suivre le how to ci-dessus.
A la premiere execution de la commande d'installation :
esxcli software profile install -d http://hostupdate.vmware.com/softwar...ot-index.xml-p ESXi-5.5.0-1331820-standard --ok-to-remove
Ca renvoi une erreur :

[InstallationError]
[Errno 32] Broken pipe
vibs = VMware_locker_tools-light_5.5.0-0.0.1331820
Please refer to the log file for more details.
Le log ca donne :
2014-02-08T12:06:06Z esxupdate: downloader: DEBUG: Downloading from http://hostupdate.vmware.com/softwar....0.1331820.vib...
2014-02-08T12:06:20Z esxupdate: root: ERROR: Traceback (most recent call last):
2014-02-08T12:06:20Z esxupdate: root: ERROR: File "/usr/lib/vmware/esxcli-software", line 435, in
2014-02-08T12:06:20Z esxupdate: root: ERROR: main()
2014-02-08T12:06:20Z esxupdate: root: ERROR: File "/usr/lib/vmware/esxcli-software", line 428, in main
2014-02-08T12:06:20Z esxupdate: root: ERROR: ret = CMDTABLE[command](options)
2014-02-08T12:06:20Z esxupdate: root: ERROR: File "/usr/lib/vmware/esxcli-software", line 172, in ProfileInstallCmd
2014-02-08T12:06:20Z esxupdate: root: ERROR: checkacceptance=checkacceptance)
2014-02-08T12:06:20Z esxupdate: root: ERROR: File "/build/mts/release/bora-623860/bora/build/esx/release/python-2.6-lib-zip-stage/623860/visor/pylib/python2.6/site-packages/vmware/esximage/Transaction.py", line 549, in InstallProfile
2014-02-08T12:06:20Z esxupdate: root: ERROR: File "/build/mts/release/bora-623860/bora/build/esx/release/python-2.6-lib-zip-stage/623860/visor/pylib/python2.6/site-packages/vmware/esximage/Transaction.py", line 388, in _validateAndInstallProfile
2014-02-08T12:06:20Z esxupdate: root: ERROR: File "/build/mts/release/bora-623860/bora/build/esx/release/python-2.6-lib-zip-stage/623860/visor/pylib/python2.6/site-packages/vmware/esximage/HostImage.py", line 630, in Stage
2014-02-08T12:06:20Z esxupdate: root: ERROR: File "/build/mts/release/bora-623860/bora/build/esx/release/python-2.6-lib-zip-stage/623860/visor/pylib/python2.6/site-packages/vmware/esximage/HostImage.py", line 463, in _download_and_stage
2014-02-08T12:06:20Z esxupdate: root: ERROR: InstallationError: ('VMware_locker_tools-light_5.5.0-0.0.1331820', '[Errno 32] Broken pipe')
En l’exécutant une seconde fois, l'installation fonctionne, le reste du how to fonctionne aussi, mais au reboot ca crash et le serveur passe sur un "Boot : Customer rescue system", bref en mode rescue quoi et impossible de booter esxi 5.5

VMware donne une piste de résolution que j'ai testé, mais ca ne fonctionne pas.
http://kb.vmware.com/selfservice/mic...rnalId=2030665

Donc la question est comment peut-on upgrader en 5.5 ? Car ici, http://www.soyoustart.com/offres/sys-e32-3.xml, ca dit compatible 5.5...